/* HEADER LAYOUT */
.header-wrapper {
  width: 100%;
  padding: 15px 0;
  background-color: #fff;
}
.header-wrapper header {
  position: relative;
  display: inline-block;
  width: 100%;
  margin: 0;
  padding: 0 15px;
}
/* HEADER LOGO */
.header-wrapper .header-logo {
  display: inline-block;
  float: left;
}
.header-wrapper .logo {
  position: relative;
  display: inline-block;
  width: 180px;
  text-align: center;
  text-decoration: none;
}
.header-wrapper .logo img {
  display: inline-block;
  max-width: 105px;
}
.header-wrapper .logo .slogan {
  display: inline-block;
  padding-top: 3px;
  white-space: nowrap;
  font-size: 13px;
  font-weight: 700;
  color: #000;
}
/* HEADER CENTER COLUMN */
.header-wrapper .header-center {
  margin: 0 50px;
}
/* HEADER RATING */
.header-rating {
  position: relative;
  display: flex;
  align-items: center;
  font-size: 12px;
  color: #fff;
  margin-bottom: 0;
  font-weight: 600;
}
.header-rating .ratings {
  display: inline-block;
  float: none;
  margin: 0;
}
.header-rating .rating-text {
  display: inline-block;
  font-size: 13px;
}
.header-rating .rating-box {
  width: 60px;
  height: 12px;
  background: url('./../../images/header-rating.png') 0 0 repeat-x;
  top: 0;
}
.header-rating .rating-box .rating {
  height: 12px;
  background: url('./../../images/header-rating.png') 0 100% repeat-x;
}
/* HEADER SEARCH */
.header-wrapper .header-search {
  display: block;
  float: left;
  width: 100%;
  margin: 0;
}
.header-wrapper .header-search button:before {
  display: inline-block;
  font-family: FontAwesome, serif;
  content: '\f002';
  padding-right: 5px;
}
.header-wrapper .header-search input {
  height: 40px;
  border-color: #aaa;
}
.header-wrapper .header-search .btn {
  height: 40px;
  background-color: #787878;
  color: #fff;
  border: 1px solid #787878;
}
.header-wrapper .header-search .btn:hover {
  background-color: #676767;
  border-color: #676767;
}
.header-wrapper .header-search .form-search {
  margin-bottom: 3px;
  border-color: #888;
}
.header-wrapper .header-search input {
  height: 40px;
  padding: 0 12px;
  line-height: 40px;
}
.header-wrapper .header-search input:focus {
  box-shadow: none;
}
/* USER MENU */
.header-wrapper .menu-controls {
  display: none;
}
/* HEADER USER */
.header-wrapper .header-user {
  position: relative;
  float: right;
  text-align: right;
}
.header-wrapper .dropdown {
  display: inline-block;
  background-color: #eee;
}
.header-wrapper .dropdown-menu .header__tools_dropdown_nav .fa {
  width: 25px;
  text-align: center;
}
.header-wrapper .header__tools_nav {
  display: inline-block;
  float: left;
  padding: 10px;
  border: solid 1px #ccc;
  border-radius: 4px;
}
.header-wrapper .header__tools_nav:hover {
  text-decoration: none;
}
.header-wrapper .header__tools_line1 {
  display: block;
  color: #666;
  font-size: 12px;
  letter-spacing: 0.4px;
}
.header-wrapper .header__tools_line2 {
  display: block;
  color: #444;
  font-weight: 700;
  font-size: 14px;
}
.header-wrapper .header-user .dropdown-menu {
  white-space: nowrap;
  padding: 15px;
  min-width: 250px;
  top: 55px;
}
.header-wrapper .header-user:hover > div.dropdown-menu {
  display: block;
}
.header-wrapper .header__tools_dropdown_nav a {
  display: block;
  color: #444;
  padding: 3px 0;
}
.header-wrapper .header__tools_dropdown_nav a:hover {
  color: #e4001b;
  text-decoration: none;
}
.header-wrapper .header__tools_nav_loggedout {
  background-color: #e4001b;
}
.header-wrapper .header__tools_nav_loggedout .header__tools_line1,
.header-wrapper .header__tools_nav_loggedout .header__tools_line2 {
  color: #fff;
}
.header-wrapper .header__tools_nav_cart {
  padding-left: 40px;
}
.header-wrapper .header__tools_nav_cart .badge {
  position: absolute;
  left: 10px;
  top: 18px;
  display: inline-block;
  padding: 5px 0;
  text-align: center;
  font-size: 14px;
  font-weight: 700;
  color: #fff;
  white-space: nowrap;
  vertical-align: baseline;
  background-color: #e4001b;
  border-radius: 50%;
  box-shadow: inset 0 2px 3px 0 rgba(0, 0, 0, 0.5);
  height: 24px;
  width: 24px;
  overflow: hidden;
}
/* HEADER CART */
.header-dropdown {
  position: relative;
}
.header-dropdown > a {
  text-decoration: none;
  color: #333;
  padding: 4px 15px;
  background-color: #fff;
  font-size: 13px;
}
.header-dropdown > a.active {
  opacity: 0.72;
}
.header-dropdown > a.active .fa-caret-down {
  color: #000 !important;
}
.header-dropdown-icon {
  margin-right: 10px;
  color: #676767;
  font-size: 24px;
}
.header-cart-qty {
  position: absolute;
  bottom: -10px;
  right: -4px;
  width: 22px;
  height: 22px;
  background-color: #e4001b;
  color: #fff;
  border-radius: 50%;
  font-size: 11px;
  line-height: 12px;
  text-align: center;
  vertical-align: middle;
  border: solid 2px #fff;
  -webkit-user-select: none;
  -moz-user-select: none;
  font-weight: 700;
  -ms-user-select: none;
  user-select: none;
}
.header-cart-qty.empty {
  display: none !important;
}
.header-dropdown-content {
  display: none;
  position: absolute;
  right: 0;
  left: auto;
  top: 100%;
  z-index: 1000;
  min-width: 280px;
  margin-top: 0px;
  padding: 12px 16px;
  background-color: #fff;
  background-clip: padding-box;
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.275);
  border: solid 1px #ddd;
  border-radius: 3px;
}
.header-dropdown-content:after,
.header-dropdown-content:before {
  position: absolute;
  display: inline-block;
  content: '';
}
.header-dropdown-content:before {
  top: -16px;
  right: 10.5px;
  left: auto;
  border: 8px solid transparent;
  border-bottom-color: #ccc;
}
.header-dropdown-content:after {
  top: -14px;
  right: 11.5px;
  left: auto;
  border: 7px solid transparent;
  border-bottom-color: #fff;
}
.header-right .header-dropdown:last-child > a {
  padding-right: 0;
}
.header-right .header-dropdown:last-child .header-dropdown-content {
  right: -10px;
}
.header-right .header-dropdown:last-child .header-dropdown-content:before {
  right: 6px;
}
.header-right .header-dropdown:last-child .header-dropdown-content:after {
  right: 7px;
}
.header-dropdown-content-links a {
  display: block;
  padding: 6px;
  color: #444;
  /* background-color: #f5f5f5; */
  border-bottom: solid 1px #f2f2f2;
}
.header-dropdown-content-links > div:last-child a {
  border-bottom: 0;
}
.header-dropdown-content-links a:hover,
.header-dropdown-content-links a:active,
.header-dropdown-content-links a:focus {
  text-decoration: none;
  background-color: #f2f2f2;
  color: #e4001b;
}
.header-dropdown-content-links .fa {
  width: 20px;
  margin-right: 3px;
  text-align: center;
}
.header-dropdown-cart-btn-cart a {
  display: block;
  padding: 10px 15px;
  background-color: #e4001b;
  color: #fff;
  border-radius: 3px;
  text-align: center;
  font-size: 14px;
  font-weight: bold;
  text-decoration: none;
}
.header-dropdown-cart-btn-checkout a {
  display: block;
  padding: 5px;
  text-align: center;
  font-size: 14px;
}
.header-dropdown-cart-items {
  min-width: 350px;
  max-height: 400px;
  margin-top: 5px;
  margin-bottom: 15px;
  overflow: auto;
}
.header-dropdown-cart-items a {
  margin: 5px 0;
  padding: 5px 0;
}
.header-dropdown-cart-item {
  margin-bottom: 5px;
  padding-bottom: 5px;
  border-bottom: solid 1px #f2f2f2;
  color: #333;
}
.header-dropdown-cart-item:hover,
.header-dropdown-cart-item:focus,
.header-dropdown-cart-item:active {
  color: #333;
  text-decoration: none;
}
.header-dropdown-cart-item:last-child {
  margin-bottom: 0;
  padding-bottom: 0;
  border-bottom: 0;
}
.header-dropdown-cart-item-name {
  font-size: 12px;
}
/* SUB NAVIGATION */
.header-subnav a {
  color: #777;
  white-space: nowrap;
}
.header-subnav > div {
  margin-right: 1px;
  padding: 3px 10px;
  line-height: 13px;
  font-size: 13px;
}
.header-subnav > div:first-child {
  padding-left: 0;
}
.header-subnav > div:last-child {
  border-right: 0;
}
/* NAVIGATION */
@media only screen and (max-width: 991px) {
  .header-subnav,
  .header-dropdowns {
    display: none !important;
  }
  .header-left {
    position: absolute;
    z-index: 2;
    top: 15px;
    width: 150px;
    float: none;
  }
  .header-left .logo {
    width: auto;
  }
  .header-controls-wrapper {
    height: auto !important;
  }
}
.header-navigation-wrapper {
  position: relative;
  box-shadow: 0 10px 15px 0 rgba(0, 0, 0, 0.025);
  margin-bottom: 15px;
  width: 100%;
  background-color: #fff;
}
.header-navigation-wrapper .menu {
  display: flex;
  gap: 8px;
}
.header-navigation-wrapper .menu-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  z-index: 11;
  display: none;
}
.header-navigation-wrapper .menu-item {
  padding: 15px;
  cursor: pointer;
  border-radius: 5px;
  color: #111;
  font-weight: 600;
  background-color: #fff;
}
.header-navigation-wrapper .menu-item i {
  margin-right: 8px;
}
.header-navigation-wrapper .menu-item.active-menu-item {
  background-color: #e4001b;
  color: #fff;
  z-index: 1001;
}
.header-navigation-wrapper .dropdown-item:hover,
.header-navigation-wrapper .menu-item:hover {
  color: #e4001b;
  text-decoration: none;
}
.header-navigation-wrapper .menu-item.active-menu-item:hover {
  color: #fff;
  background-color: #b60016;
}
.header-navigation-wrapper .dropdown-container {
  display: none;
  position: absolute;
  z-index: 1000;
  width: 100%;
  max-width: 1240px;
  height: calc(100vh - 210px);
  max-height: calc(100vh - 210px);
  border-radius: 6px;
  margin-top: 8px;
}
.header-navigation-wrapper .show-dropdown {
  display: flex;
}
.header-navigation-wrapper .dropdown-level {
  display: flex;
  flex-direction: column;
  background-color: #fff;
  width: 33%;
  width: calc(100% / 3);
  padding: 10px;
  overflow-y: auto;
}
.header-navigation-wrapper .dropdown-level:first-child {
  border-bottom-left-radius: 6px;
  border-top-left-radius: 6px;
}
.header-navigation-wrapper .dropdown-level:first-child .dropdown-item {
  font-weight: 700;
}
.header-navigation-wrapper .dropdown-level:last-child {
  border-bottom-right-radius: 6px;
  border-top-right-radius: 6px;
}
.header-navigation-wrapper button.dropdown-item {
	background: none;
	border: none;
  text-align: left;
	cursor: pointer;
	outline: inherit;
}
.header-navigation-wrapper .dropdown-item {
  padding: 7.5px;
  color: black;
  cursor: pointer;
  font-size: 14px;
  color: #222;
  display: flex;
  flex-direction: row;
  align-items: center;
  min-height: 40px;
}
.header-navigation-wrapper .dropdown-thumbnail {
  margin-right: 8px;
}
.header-navigation-wrapper .dropdown-text {
  margin-right: 8px;
  flex-grow: 1;
}
.header-navigation-wrapper button.active-category {
  background-color:#e4001b;
  border-radius: 6px;
  color: #fff;
}
.header-navigation-wrapper .dropdown-item.active-category:hover {
  color: #fff;
  background-color: #b60016;
}
.header-navigation-wrapper .parent-item {
  /* background-color: #fafafa; */
  border-radius: 6px;
}
.header-navigation-wrapper .dropdown-item.back {
  display: none;
}
.header-navigation-wrapper .dropdown-item.back i {
  margin-right: 16px;
}
.header-navigation-wrapper .dropdown-item i {
  justify-self: end;
}
.header-navigation-wrapper .parent-item:hover {
  color: #e4001b;
}

/* Mobile styles */
@media (max-width: 991px) {
  .header-navigation-wrapper .dropdown-container {
    display: none;
    position: relative;
    padding-top: unset;
    top: unset;
    min-height: 100vh;
  }
  .header-navigation-wrapper .show-dropdown {
    display: block;
  }
  .header-navigation-wrapper .dropdown-level {
    display: none;
    width: 100%;
    border-radius: 6px;
    height: calc(100svh - 250px);
    padding-top: 10px;
    overflow: scroll;
  }
  .header-navigation-wrapper .menu-wrapper {
    margin-bottom: 0;
  }
  .header-navigation-wrapper .menu {
    display: none;
  }
  .header-navigation-wrapper .menu-overlay {
    background: none;
  }
  .header-navigation-wrapper .dropdown-level.active-level {
    display: flex;
  }
  .header-navigation-wrapper .dropdown-item.back {
    display: flex;
    background-color: #eee;
    border-radius: 6px;
  }
  .header-navigation-wrapper .menu-icon.icon-user.is-active::before {
    color: #e4001b !important;
  }
}

.header-dropdown .alfa-plus {
  position: absolute;
  bottom: -5px;
  right: -4px;
  width: 22px;
  height: 22px;
  background: #fff;
  border-radius: 50%;
  border: solid 2px #fff;
  background-image: url(https://media.alfa-direkt.de/alfaplus/alfa-plus-single.png);
  background-size: contain;
  background-position: 50% 50%;
}
/* RESPONSIVE */
@media only screen and (max-width: 991px) {
  .header-left,
  .header-center,
  .header-right {
    height: auto !important;
  }
  .header-right {
  }
  .header-left .logo img {
    width: 95px;
    max-width: 95px;
  }
  .header-left .logo .slogan {
    font-size: 11px;
  }
  .header-center {
    display: inline-block;
    width: 100%;
    position: static !important;
    padding-top: 75px;
  }
}
@media only screen and (max-width: 1199px) {
  /* HEADER SEARCH */
  .header-wrapper .header-search {
    width: 100%;
  }
  /* HEADER CART */
  .header-wrapper .block-header-cart {
    position: static;
  }
  .header-wrapper .block-header-cart .actions {
    white-space: normal;
  }
  .header-wrapper .block-header-cart-logged-out .actions a {
    white-space: normal;
  }
  /* NAVIGATION */
  .header-navigation-link {
    font-size: 12px;
  }
}
